TAU_WRAP(1)

NAME
tau_wrap - Instruments an external library with TAU without needing to recompile

SYNOPSIS

tau_wrap {pdbfile} {sourcefile} [-o outputfile] [-g groupname] [-i headerfile] [-f selectivefile]

OPTIONS

pdbfile
    A pdb file generated by cparse, cxxparse, or f90parse; these commands are found in the [PDT_HOME]/[arch]/bin directory.

sourcefile
    The source file corresponding to the pdbfile.

-o outputfile
    The filename of the resulting instrumented source file.

-g groupname
    This associates all the functions profiled as belonging to the this group. Once profiled you will be able to analysis these functions separately.

-i headerfile
    By default tau_wrap will include Profile/Profile.h; use this option to specify a different header file.

-f selectivefile
    You can specify a selective instrumentation file that defines how the source file is to be instrumented.

EXAMPLES

%> tau_wrap hdf5.h.pdb hdf5.h -o hdf5.inst.c -f select.tau -g hdf5

This specifies the instrumented wrapper library source (hdf5.inst.c), the instrumentation specification file (select.tau) and the group (hdf5). It creates the wrapper/ directory.